2017-07-20 23:08 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002919FSSCPtablespublic2017-06-24 20:12
ReporterGoober5000 
Assigned ToGoober5000 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.7.1 
Target Version3.7.1Fixed in Version 
Summary0002919: Tech-add-intel can't handle localization for intel entries
DescriptionAs reported by Yarn...

---
The name fields in species.tbl currently have XSTR structures. This is a problem waiting to happen because if a future translation modifies the "Shivans" string at all, then if the game loads the mission that unlocks that intel, it will crash with an "intel not found" error (I don't remember exactly what the message is). This happens because the mission expects an intel entry called "Shivans," but if that string is changed by the XSTR functions (e.g., to "Die Shivaner" as in the German version of FS2), then there would no longer be a "Shivans" intel entry, and the game would crash.
---
TagsNo tags attached.
Attached Files

-Relationships
related to 0002920resolvedniffiwan Pilot file code can't handle localization for intel entries 
related to 0003192confirmed Freespace look always for the translated strings in the missions, not for the initial default one. 
+Relationships

-Notes

~0015276

Goober5000 (administrator)

Fix committed to trunk@9797.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-09-19 01:01 Goober5000 New Issue
2013-09-19 01:01 Goober5000 Status new => assigned
2013-09-19 01:01 Goober5000 Assigned To => Goober5000
2013-09-19 01:02 Goober5000 Changeset attached => fs2open trunk r9797
2013-09-19 01:02 Goober5000 Note Added: 0015276
2013-09-19 01:02 Goober5000 Status assigned => resolved
2013-09-19 01:02 Goober5000 Resolution open => fixed
2013-09-19 02:20 Goober5000 Changeset attached => fs2open trunk r9798
2013-09-19 02:41 Goober5000 Relationship added related to 0002920
2017-06-24 20:12 Goober5000 Relationship added related to 0003192
+Issue History